[torqueusers] --enable-drmaa with 4.2.6

Shouben Zhou Shouben.Zhou-1 at nasa.gov
Wed Dec 4 06:03:49 MST 2013


I do not use rpm, but use torque-4.2.6.tar. The following configure 
command works for all old versions but not for 4.2.6:

$ configure --enable-drmaa ...

--
Shouben Zhou
Science Systems and Applications Inc.(SSAI)
1 Enterprise Pkwy, Hampton, VA 23666
Tel: (757)951-1905  Fax: (757)951-1900
Email: Shouben.Zhou at nasa.gov



Michael Jennings wrote:
> On Wednesday, 27 November 2013, at 11:09:20 (-0500),
> Shouben Zhou wrote:
>
>   
>> When configure with --enable-drmaa using 4.2.6:
>>
>> Building components: server=yes mom=yes clients=yes
>>                      gui=no drmaa=yes pam=no
>> PBS Machine type    : linux
>> Remote copy         : /usr/bin/scp -rpB
>>
>>
>> I do not get
>>
>> libdrmaa.a   libdrmaa.so
>> libdrmaa.la  libdrmaa.so.0 
>>
>> what I used to get with old versions.
>>
>> Am I missing something with newer versions?
>>     
>
> I can't reproduce that here:
>
> $ rpm -qlvp torque-drmaa-4.2.6-1.adaptive.el6.x86_64.rpm 
> -rw-r--r--    1 root    root            25514 Nov 11 16:03 /usr/include/torque/drmaa.h
> -rw-r--r--    1 root    root           821548 Nov 11 16:03 /usr/lib64/libdrmaa.a
> -rwxr-xr-x    1 root    root              988 Nov 11 16:03 /usr/lib64/libdrmaa.la
> lrwxrwxrwx    1 root    root               17 Nov 11 16:03 /usr/lib64/libdrmaa.so -> libdrmaa.so.0.0.0
> lrwxrwxrwx    1 root    root               17 Nov 11 16:03 /usr/lib64/libdrmaa.so.0 -> libdrmaa.so.0.0.0
> -rwxr-xr-x    1 root    root           722693 Nov 11 16:03 /usr/lib64/libdrmaa.so.0.0.0
>
> Those files should be there.  Maybe you're lacking the dependencies
> for DRMAA support?
>
> Michael
>
>   


More information about the torqueusers mailing list